import type { Entitlements } from '@takeshape/util';
import type { FormMap, ShapeJSON, ShapeMap } from './project-schema/index.ts';
import type { Content } from './types/index.ts';
export type SchemaDefaultsOptions = {
    entitlements: Pick<Entitlements, 'staticSites'>;
};
export declare function isAsset(content: Content): boolean;
export declare function getAssetS3Path(content: Content): string | undefined;
export declare function setAssetS3Path(content: Content, path: string): void;
export declare const jsonShape: ShapeJSON;
export declare function getBuiltInShapes(options: SchemaDefaultsOptions): ShapeMap;
export declare function getBuiltInForms(options: SchemaDefaultsOptions): FormMap;
export declare const allBuiltInShapes: {
    [x: string]: ShapeJSON;
};
export declare const allBuiltInForms: {
    [x: string]: import("./project-schema/latest.ts").FormsConfig;
};
